Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 272645 - [4.4/ICE/hppa] >sys-devel/gcc-4.4.0 ICEs in check_dep, at sched-deps.c:3447 on hppa when building libgcc
Summary: [4.4/ICE/hppa] >sys-devel/gcc-4.4.0 ICEs in check_dep, at sched-deps.c:3447 o...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: HPPA Linux
: High normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-04 16:28 UTC by Jeroen Roovers
Modified: 2010-06-28 11:41 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
config.log (build/hppa2.0-unknown-linux-gnu/libgcc/config.log,12.96 KB, text/plain)
2009-06-04 16:29 UTC, Jeroen Roovers
Details
sys-devel:gcc-4.4.0:20090604-122540.log.gz (20090604-122540.log.gz,34.19 KB, text/plain)
2009-06-04 16:31 UTC, Jeroen Roovers
Details
conftest.s (conftest.s,220 bytes, text/plain)
2009-06-04 16:56 UTC, Jeroen Roovers
Details
Same problem in 4.4.3 (config.log,12.81 KB, text/plain)
2010-03-02 14:27 UTC, Jeroen Roovers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2009-06-04 16:28:26 UTC
Thu Jun  4 18:26:48 CEST 2009
Portage 2.1.6.13 (default/linux/hppa/2008.0, gcc-4.4.0, glibc-2.8_p20080602-r1, 2.6.30-rc4-JeR parisc)
=================================================================
System uname: Linux-2.6.30-rc4-JeR-parisc-PA8700_-PCX-W2-with-glibc2.2
Timestamp of tree: Thu, 04 Jun 2009 15:45:01 +0000
distcc 3.1 hppa2.0-unknown-linux-gnu [enabled]
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.7
dev-lang/python:     2.4.6, 2.5.4-r2
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="hppa"
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-O2 -pipe -mschedule=8000 -march=2.0 -g -ggdb -Wall"
CHOST="hppa2.0-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib/fax /usr/share/config /var/bind /var/spool/fax/etc /var/spool/torque /var/www/localhost/htdocs/wordpress/wp-config.php"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -mschedule=8000 -march=2.0 -g -ggdb -Wall"
DISTDIR="/keeps/gentoo/distfiles"
FEATURES="autoaddcvs buildpkg cvs distcc distlocks fixpackages notitles parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict test test-fail-continue unmerge-orphans userfetch"
GENTOO_MIRRORS=" http://gentoo.tiscali.nl/ http://mirror.muntinternet.net/pub/gentoo/ http://mirror.cambrium.nl/pub/os/linux/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo/ "
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en nl he"
MAKEOPTS="-j5"
PKGDIR="/keeps/gentoo/packages/elmer"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/mnt/alt/portage-tmp"
PORTDIR="/keeps/gentoo/portage"
PORTDIR_OVERLAY="/keeps/gentoo/local"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7zip X Xaw3d a52 aac aalib abyss accessibility acl ads agg alsa amr amrnb amrwb ao aoss apache2 ares artist-screen asf async asyncns audiofile audit automount avfs bash-completion berkdb bidi bittorrent bittorrent-external bl bluetooth bzip2 c++ cairo caps captury catalogs cblas cdb cddb cdparanoia cdr chardet cjk clarens cli colors cracklib crypt cups curl custom-cflags custom-cxxflags cxx dbi dbtool dbus designer designer-plugin device-mapper dga dia dirac directfb djbfft djvu domainkeys dri drm dts dv dvd dvdr dvdread dxr3 ebook edl elf emacs enca encode esd examples exif expat fame fastbuild fastcgi fbcon ffmpeg filter flac fluidsynth fontconfig fontforge foomaticdb fortran ftp gadu galago gcrypt gd gdbm geant4 geoip ggi gif gimp gimpprint glep glib glut gmp gnome gnutls google-gadgets gphoto2 gpm gps gs gsl gsm gtk gtk2 gtkhtml guidexml hal hepmc hesiod hppa i18n ical icecast iconv icu idea idn imagemagick imlib immqt-bc inquisitio ipv6 isc isdnlog ithreads jack javascript jbig jingle jpeg jpeg2k judy kde kerberos kpathsea lapack lasi latex lcms ldap leim libass libcaca libffi libmms libnotify libotf libsamplerate libwww live lm_sensors logrotate logwatch lua lyrics-screen lzo mad manhole matroska mbrola memcache metis mhash midi mikmod mmap mng modplug motif mozbranding mp3 mplayer mssql mudflap musepack musicbrainz mysql nas nautilus ncurses netpbm network-cron nfconntrack nfs nls nntp nptl nptlonly nsplugin ntlm offensive ogg openal openexr opengl openmp openssl oss ots overlays pam pango pbs pch pcre pdf pdo-external perl php plasma plotutils plugins png policykit portage portaudio postgres povray ppds pppd pulseaudio python pyzord qalculate qdbm qt3 qt3support qt4 quotas raw readline recode reflection rle rpc rrdtool rtc ruby samba sasl scanner schroedinger scim sdl seamonkey server session sid slang slp sms sndfile snmp song-screen soundex speex spell spl sqlite srt srtp ssh ssl startup-notification subtitles subversion suhosin supernodal svg swat sysfs syslog talkfilters tcl tcpd test tftp tga theora threads thumbnail thunar-vfs tidy tiff timidity tk tools truetype tslib tunepimp twolame udev unicode unzip urandom usb userlocales utempter utf v4l v4l2 vanim vcd vidix vim-syntax vorbis watchdog wavpack webdav webinstall webkit winbind wlan wma wmf xanim xattr xcb xchattext xcomposite xface xml xml2 xmp xmpi xorg xpm xrandr xscreensaver xsettings xulrunner xv xvid xvmc zip zip-external zlib" ALSA_CARDS="ad1889 usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_ftp proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev joystick keyboard mouse acecad aiptek calcomp citron digitaledge dmc dynapro elo2300 elographics fpit hyperpen jamstudio magellan microtouch mutouch palmax penmount spaceorb summa synaptics tek4957 tslib ur98 virtualbox wacom void" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en nl he" USERLAND="GNU" VIDEO_CARDS="stifb fbdev matrox dummy"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jeroen Roovers gentoo-dev 2009-06-04 16:29:21 UTC
Created attachment 193547 [details]
config.log
Comment 2 Jeroen Roovers gentoo-dev 2009-06-04 16:31:54 UTC
Created attachment 193549 [details]
sys-devel:gcc-4.4.0:20090604-122540.log.gz
Comment 3 Jeroen Roovers gentoo-dev 2009-06-04 16:56:05 UTC
Created attachment 193554 [details]
conftest.s

elmer ~/ice-272645 # /mnt/alt/portage-tmp/portage/sys-devel/gcc-4.4.0/work/build/./gcc/xgcc -B/mnt/alt/portage-tmp/portage/sys-devel/gcc-4.4.0/work/build/./gcc/ -B/usr/hppa2.0-unknown-linux-gnu/bin/ -B/usr/hppa2.0-unknown-linux-gnu/lib/ -isystem /usr/hppa2.0-unknown-linux-gnu/include -isystem /usr/hppa2.0-unknown-linux-gnu/sys-include -E -O2 -pipe -mschedule=8000 -march=2.0 -g -ggdb -Wall    conftest.c
# 1 "conftest.c"
# 1 "/root/ice-272645//"
# 1 "<built-in>"
# 1 "<command-line>"
# 1 "conftest.c"
# 10 "conftest.c"
int
main ()
{

  ;
  return 0;
}
elmer ~/ice-272645 # /mnt/alt/portage-tmp/portage/sys-devel/gcc-4.4.0/work/build/./gcc/xgcc -B/mnt/alt/portage-tmp/portage/sys-devel/gcc-4.4.0/work/build/./gcc/ -B/usr/hppa2.0-unknown-linux-gnu/bin/ -B/usr/hppa2.0-unknown-linux-gnu/lib/ -isystem /usr/hppa2.0-unknown-linux-gnu/include -isystem /usr/hppa2.0-unknown-linux-gnu/sys-include -S -O2 -pipe -mschedule=8000 -march=2.0 -g -ggdb -Wall    conftest.c
conftest.c: In function ‘main’:
conftest.c:16: internal compiler error: in check_dep, at sched-deps.c:3447
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugs.gentoo.org/> for instructions.
elmer ~/ice-272645 # /mnt/alt/portage-tmp/portage/sys-devel/gcc-4.4.0/work/build/./gcc/xgcc -B/mnt/alt/portage-tmp/portage/sys-devel/gcc-4.4.0/work/build/./gcc/ -B/usr/hppa2.0-unknown-linux-gnu/bin/ -B/usr/hppa2.0-unknown-linux-gnu/lib/ -isystem /usr/hppa2.0-unknown-linux-gnu/include -isystem /usr/hppa2.0-unknown-linux-gnu/sys-include -c -O2 -pipe -mschedule=8000 -march=2.0 -g -ggdb -Wall    conftest.c
conftest.c: In function ‘main’:
conftest.c:16: internal compiler error: in check_dep, at sched-deps.c:3447
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugs.gentoo.org/> for instructions.
Comment 4 Mark Loeser (RETIRED) gentoo-dev 2009-06-08 20:10:38 UTC
GCC rebuilds fine for me:

hake / # emerge --info
Portage 2.1.6.13 (default/linux/hppa/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.23-gentoo-r8 parisc)
=================================================================
System uname: Linux-2.6.23-gentoo-r8-parisc-PA8600_-PCX-W+-with-gentoo-2.0.1
Timestamp of tree: Mon, 08 Jun 2009 06:30:01 +0000
app-shells/bash:     4.0_p24
dev-lang/python:     2.4.4-r13, 2.5.2-r8, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r2
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="hppa ~hppa"
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-O2 -pipe -march=2.0"
CHOST="hppa2.0-unknown-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="berkdb bzip2 cli cracklib crypt cups firefox foomaticdb fortran gdbm gpm hppa iconv imlib ipv6 isdnlog libwww midi mudflap ncurses nls nptl nptlonly openmp pam pcre perl pppd python readline reflection session spell spl ssl sysfs tcpd unicode xml2 xorg xulrunner zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 5 Mark Loeser (RETIRED) gentoo-dev 2009-06-09 18:02:40 UTC
I screwed up and as you can see compiled gcc-4.4 with gcc-4.3.  Rebuilding 4.4 with 4.4 results in the same exact failure as Jer ran into.  It looks like gcc is miscompiling itself.
Comment 6 Jeroen Roovers gentoo-dev 2009-07-08 01:01:23 UTC
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39355 seems related.
Comment 7 Jeroen Roovers gentoo-dev 2009-07-08 01:23:23 UTC
Hmmm, I have just successfully rebuilt sys-devel/gcc-4.2.4-r1 using sys-devel/gcc-4.4.0 (following the IUSE=nptl changes).
Comment 8 Jeroen Roovers gentoo-dev 2009-07-13 00:15:43 UTC
(In reply to comment #7)
> Hmmm, I have just successfully rebuilt sys-devel/gcc-4.2.4-r1 using
> sys-devel/gcc-4.4.0 (following the IUSE=nptl changes).

Hmm, sys-devel/gcc-4.4.0 miscompiles all older kernels as well as itself, it seems. No build failure, just creates an unusable libgcc_s.
Comment 9 Jeroen Roovers gentoo-dev 2009-07-16 13:07:35 UTC
(In reply to comment #8)
Er, I intended to say sys-devel/gcc-4.4.0 miscompiles all older *compilers* [...]

8-)
Comment 10 Jeroen Roovers gentoo-dev 2009-07-20 18:54:55 UTC
gcc-4.4 is marked -hppa now.
Comment 11 Jeroen Roovers gentoo-dev 2009-08-03 15:27:47 UTC
Appears to have been fixed elsewhere[1].

Now how do I go about finding in which release this revision[1] will be? The bug says 4.5.0, so a backport to 4.4.1 would be nice.


[1] http://gcc.gnu.org/bugzilla/show_bug.cgi?id=40908
[2] http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=150228
Comment 12 Jeroen Roovers gentoo-dev 2009-08-31 20:00:35 UTC
gcc 4.4.1 exhibits the same problem.
Comment 13 Jeroen Roovers gentoo-dev 2010-03-02 14:27:25 UTC
Created attachment 221803 [details]
Same problem in 4.4.3
Comment 14 Guy Martin (RETIRED) gentoo-dev 2010-04-26 16:24:42 UTC
I tried the patch mentioned in comment #11 but it doesn't solve the issue.

Comment 15 Jeroen Roovers gentoo-dev 2010-06-28 11:41:53 UTC
Fixed by setting STAGE1_CFLAGS=-O0, gcc-4.4.4-r1 is now marked ~hppa, after testing and after news that some distros always set STAGE1_CFLAGS=-O0.